package com.uas.eis.service;

import com.uas.eis.sdk.entity.ApiResult;

import java.util.List;
import java.util.Map;

public interface QueryService {

	public abstract String login(String username, String password);
	
	public abstract boolean checkUser(String username, String password);
	
	public abstract boolean checkAction(String username, String action);
	
	public Object query(String code, String param);
	
	public Object doAction(String code, String param);

	ApiResult<List<Map<String,Object>>> getMakeProcess(String accessKey, String requestId, String macode);
}